package com.sunxung.factoring.component.util;

import java.math.BigDecimal;
import java.text.DecimalFormat;
import java.text.NumberFormat;

/**
 * @Description:数字转换工具了
 * @Author:wanxiangZhou
 * @E_mail:303526821@qq.com
 * @Date:2017年7月10日 下午3:33:48
 */
public class NumberFormatUtil {

    /** 保留两位小数，如192->192.00;0->0.00 **/
    public static final String TWO_DECIMAL_PATTERN = "#0.00";
    /** 保留两位小数，并千字符格式显示 **/
    public static final String THOUSAND_SEPARATOR_TWO_DECIMAL = ",##0.00";

    /**
     * 按照格式数字字符串. <br/>
     * 
     * @param num
     * @param pattern
     * @return
     */
    public static String convertDecimal(BigDecimal num, String pattern) {
        if (null != num) {
            NumberFormat nf = new DecimalFormat(pattern);
            return nf.format(num);
        }
        return null;
    }
}
